# Interface SourceCodeAnalysis.ElementSuggestionConvertor<S>

Type Parameters:
  `S` - a custom target completion type.

Enclosing class:
  `SourceCodeAnalysis`

public static interface SourceCodeAnalysis.ElementSuggestionConvertor<S>
A convertor from a list of SourceCodeAnalysis.ElementSuggestion to a list of custom target completion items.

Since:
  26

## Method Summary

Modifier and Type
Method
Description
`List<S>`
`convert(SourceCodeAnalysis.CompletionState state, List<? extends SourceCodeAnalysis.ElementSuggestion> suggestions)`
Convert a list of SourceCodeAnalysis.ElementSuggestion to a list of custom completion items.

## Method Details

### convert

List<S> convert(SourceCodeAnalysis.CompletionState state, List<? extends SourceCodeAnalysis.ElementSuggestion> suggestions)
Convert a list of SourceCodeAnalysis.ElementSuggestion to a list of custom completion items.

Parameters:
  `state` - the state of the completion
  `suggestions` - the input suggestions
Returns:
  the converted suggestions